package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.Requirement;
import com.lightinit.hsdataplatform.entity.RequirementExample;
import java.util.List;
import java.util.Map;


import com.lightinit.hsdataplatform.model.admin.RequirementMicroappDataModel;
import com.lightinit.hsdataplatform.model.admin.RequirementMicroappSearchModel;
import org.apache.ibatis.annotations.Param;

public interface RequirementMapper {
    long countByExample(RequirementExample example);

    int deleteByExample(RequirementExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Requirement record);

    int insertSelective(Requirement record);

    List<Requirement> selectByExample(RequirementExample example);

    Requirement selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Requirement record, @Param("example") RequirementExample example);

    int updateByExample(@Param("record") Requirement record, @Param("example") RequirementExample example);

    int updateByPrimaryKeySelective(Requirement record);

    int updateByPrimaryKey(Requirement record);

    List<Requirement> selectModelList(RequirementMicroappSearchModel inputModel);

    long selectModelListCount(RequirementMicroappSearchModel inputModel);

    List<Requirement> selectByBaseExample(BaseExample example);
    long countByBaseExample(BaseExample example);

    RequirementMicroappDataModel getModelDetail(@Param("rqrmntId") long rqrmntId);

    List<Map<Long,String>> getSectorParentNames();
}